## Deep Learning
### 2020

- **Principal Neighbourhood Aggregation for Graph Nets (ArXiV 2020)**
  - Gabriele Corso, Luca Cavalleri, Dominique Beaini, Pietro Liò, Petar Veličković
  - [[Paper]](https://arxiv.org/abs/2004.05718)
  - [[Python Reference]](https://github.com/lukecavabarrett/pna)
  
- **ASAP: Adaptive Structure Aware Pooling for Learning Hierarchical Graph Representations (AAAI 2020)**
  - Ekagra Ranjan, Soumya Sanyal, Partha Pratim Talukdar
  - [[Paper]](https://arxiv.org/abs/1911.07979)
  - [[Python Reference]](https://github.com/malllabiisc/ASAP)
  
- **PersLay: A Neural Network Layer for Persistence Diagrams and New Graph Topological Signatures (AISTATS 2020)**
  - Mathieu Carriere, Frederic Chazal, Yuichi Ike, Theo Lacombe, Martin Royer, Yuhei Umeda
  - [[Paper]](http://proceedings.mlr.press/v108/carriere20a.html)
  - [[Python Reference]](https://github.com/MathieuCarriere/perslay)
  
- **Bridging the Gap Between Spectral and Spatial Domains in Graph Neural Networks (ArXiv 2020)**
  - Muhammet Balcilar, Guillaume Renton, Pierre Heroux, Benoit Gauzere, Sebastien Adam, Paul Honeine
  - [[Paper]](https://arxiv.org/abs/2003.11702)
  - [[Python Reference]](https://github.com/balcilar/Spectral-Designed-Graph-Convolutions)
  
- **Segmented Graph-Bert for Graph Instance Modeling (ArXiv 2020)**
  - Jiawei Zhang
  - [[Paper]](https://arxiv.org/abs/2002.03283)
  - [[Python Reference]](https://github.com/jwzhanggy/SEG-BERT)
  
- **Deep Graph Mapper: Seeing Graphs through the Neural Lens (ArXiv 2020)**
  - Cristian Bodnar, Cătălina Cangea, Pietro Liò
  - [[Paper]](https://arxiv.org/abs/2002.03864v2)
  - [[Python Reference]](https://github.com/crisbodnar/dgm)

- **Benchmarking Graph Neural Networks (ArXiv 2020)**
  - Vijay Prakash Dwivedi, Chaitanya K. Joshi, Thomas Laurent, Yoshua Bengio, Xavier Bresson
  - [[Paper]](https://arxiv.org/abs/2003.00982)
  - [[Python Reference]](https://github.com/graphdeeplearning/benchmarking-gnns)

- **Building Attention and Edge Convolution Neural Networks for Bioactivity and Physical-Chemical Property Prediction (BiorXiv 2020)**
  - Michael Withnall, Edvard Lindelöf, Ola Engkvist, Hongming Chen
  - [[Paper]](https://jcheminf.biomedcentral.com/articles/10.1186/s13321-019-0407-y)
  - [[Python Reference]](https://github.com/edvardlindelof/graph-neural-networks-for-drug-discovery)
  
- **Second-Order Pooling for Graph Neural Networks (IEEE Transactions on Pattern Analysis and Machine Intelligence 2020)**
  - Zhengyang Wang, Shuiwang Ji 
  - [[Paper]](https://ieeexplore.ieee.org/document/9104936)
  - [[Python Reference]](https://github.com/zhengyang-wang/sopool-gnns)
  
- **Unsupervised Learning of Graph Hierarchical Abstractions with Differentiable Coarsening and Optimal Transport (ICLR 2020)**
  - Tengfei Ma, Jie Chen
  - [[Paper]](https://arxiv.org/abs/1912.11176v1)
  - [[Python Reference]](https://github.com/matenure/OTCoarsening)
  
- **IsoNN: Isomorphic Neural Network for Graph Representation Learning and Classification (ICLR 2020)**
  - Lin Meng, Jiawei Zhang
  - [[Paper]](https://arxiv.org/abs/1907.09495v2)
  - [[Python Reference]](https://github.com/linmengsysu/IsoNN)

- **Few-shot Learning on Graphs Via Super-Classes Based on Graph Spectral Measures (ICLR 2020)**
  - Jatin Chauhan, Deepak Nathani, Manohar Kaul
  - [[Paper]](https://openreview.net/forum?id=Bkeeca4Kvr)
  - [[Python Reference]](https://github.com/chauhanjatin10/GraphsFewShot)
  
- **Memory-Based Graph Networks (ICLR 2020)**
  - Amir Hosein Khasahmadi, Kaveh Hassani, Parsa Moradi, Leo Lee, Quaid Morris
  - [[Paper]](https://openreview.net/forum?id=r1laNeBYPB)
  - [[Python Reference]](https://github.com/amirkhas/GraphMemoryNet)

- **A Fair Comparison of Graph Neural Networks for Graph Classification (ICLR 2020)**
  - Federico Errica, Marco Podda, Davide Bacciu, Alessio Micheli
  - [[Paper]](https://openreview.net/pdf?id=HygDF6NFPB)
  - [[Python Reference]](https://github.com/diningphil/gnn-comparison)

- **StructPool: Structured Graph Pooling via Conditional Random Fields (ICLR 2020)**
  - Hao Yuan, Shuiwang Ji
  - [[Paper]](https://openreview.net/forum?id=BJxg_hVtwH)
  - [[Python Reference]](https://github.com/Nate1874/StructPool)
  
- **Strategies for Pre-training Graph Neural Networks (ICLR 2020)**
  - Weihua Hu, Bowen Liu, Joseph Gomes, Marinka Zitnik, Percy Liang, Vijay Pande, Jure Leskovec
  - [[Paper]](https://arxiv.org/abs/1905.12265v3)
  - [[Python Reference]](https://github.com/snap-stanford/pretrain-gnns/)
  
- **InfoGraph: Unsupervised and Semi-supervised Graph-Level Representation Learning via Mutual Information Maximization (ICLR 2020)**
  - Fan-yun Sun, Jordan Hoffman, Vikas Verma, Jian Tang
  - [[Paper]](https://openreview.net/pdf?id=r1lfF2NYvH)
  - [[Python Reference]](https://github.com/fanyun-sun/InfoGraph)
  
- **Convolutional Kernel Networks for Graph-Structured Data (ICML 2020)**
  - Dexiong Chen, Laurent Jacob, Julien Mairal
  - [[Paper]](https://arxiv.org/abs/2003.05189v2)
  - [[Python Reference]](https://github.com/claying/GCKN)

- **Improving Attention Mechanism in Graph Neural Networks via Cardinality Preservation (IJCAI 2020)**
  - Shuo Zhang, Lei Xie
  - [[Paper]](https://arxiv.org/abs/1907.02204)
  - [[Python Reference]](https://github.com/zetayue/CPA)

- **Mutual Information Maximization in Graph Neural Networks (IJCNN 2020)**
  - Xinhan Di, Pengqian Yu, Rui Bu, Mingchao Sun
  - [[Paper]](https://arxiv.org/abs/1905.08509v4)
  - [[Python Reference]](https://github.com/CODE-SUBMIT/Graph_Neighborhood_1)
  
### 2019

- **GSSNN: Graph Smoothing Splines Neural Network (AAAI 2020)**
  - Shichao Zhu, Lewei Zhou, Shirui Pan, Chuan Zhou, Guiying Yan, Bin Wang 
  - [[Paper]](https://shiruipan.github.io/publication/aaai-2020-zhu)
  - [[Python Reference]](https://github.com/CheriseZhu/GSSNN)

- **Weisfeiler and Leman Go Neural: Higher-order Graph Neural Networks (AAAI 2019)**
  - Christopher Morris, Martin Ritzert, Matthias Fey, William L. Hamilton, Jan Eric Lenssen, Gaurav Rattan, and Martin Grohe
  - [[Paper]](https://arxiv.org/pdf/1810.02244v2.pdf)
  - [[Python Reference]](https://github.com/k-gnn/k-gnn)
  
- **DAGCN: Dual Attention Graph Convolutional Networks (ACPR 2019)**
  - Fengwen Chen, Shirui Pan, Jing Jiang, Huan Huo, Guodong Long
  - [[Paper]](https://arxiv.org/abs/1904.02278v1)
  - [[Python Reference]](https://github.com/dawenzi123/DAGCN)
    
- **Understanding Isomorphism Bias in Graph Data Sets (Arxiv 2019)**
  - Sergei Ivanov, Sergei Sviridov, Evgeny Burnaev
  - [[Paper]](https://arxiv.org/abs/1910.12091v2)
  - [[Python Reference]](https://github.com/nd7141/iso_bias)

- **Graph Star Net for Generalized Multi-Task Learning (Arxiv 2019)**
  - Lu Haonan, Seth H. Huang, Tian Ye, Guo Xiuyan
  - [[Paper]](https://arxiv.org/abs/1906.12330v1)
  - [[Python Reference]](https://github.com/graph-star-team/graph_star)

- **HATS: A Hierarchical Graph Attention Network for Stock Movement Prediction (Arxiv 2019)**
  - Raehyun Kim, Chan Ho So, Minbyul Jeong, Sanghoon Lee, Jinkyu Kim, Jaewoo Kang
  - [[Paper]](https://arxiv.org/abs/1908.07999v3)
  - [[Python Reference]](https://github.com/dmis-lab/hats)
  
- **Spectral Clustering with Graph Neural Networks for Graph Pooling (Arxiv 2019)**
  - Filippo Maria Bianchi, Daniele Grattarola, Cesare Alippi
  - [[Paper]](https://arxiv.org/abs/1907.00481v3)
  - [[Python Reference]](https://github.com/FilippoMB/Benchmark_dataset_for_graph_classification)
  
- **Hierarchical Representation Learning in Graph Neural Networks with Node Decimation Pooling (Arxiv 2019)**
  - Filippo Maria Bianchi, Daniele Grattarola, Lorenzo Livi, Cesare Alippi
  - [[Paper]](https://arxiv.org/abs/1910.11436v1)
  - [[Python Reference]](https://github.com/danielegrattarola/decimation-pooling)
  
- **Capsule Neural Networks for Graph Classification using Explicit Tensorial Graph Representations (Arxiv 2019)**
  - Marcelo Daniel Gutierrez Mallea, Peter Meltzer, and Peter J Bentley
  - [[Paper]](https://arxiv.org/pdf/1902.08399v1.pdf)
  - [[Python Reference]](https://github.com/BraintreeLtd/PatchyCapsules)
  
- **Are Powerful Graph Neural Nets Necessary? A Dissection on Graph Classification (Arxiv 2019)**
  - Ting Chen, Song Bian, Yizhou Sun
  - [[Paper]](https://arxiv.org/abs/1905.04579v3)
  - [[Python Reference]](https://github.com/chentingpc/gfn)

- **Universal Self-Attention Network for Graph Classification (Arxiv 2019)**
  - Dai Quoc Nguyen, Tu Dinh Nguyen, and Dinh Phung}
  - [[Paper]](https://arxiv.org/abs/1909.11855)
  - [[Python Reference]](https://github.com/daiquocnguyen/Graph-Transformer)
  
- **Discriminative Structural Graph Classification (ArXiV 2019)**
  - Younjoo Seo, Andreas Loukas, Nathanaël Perraudin
  - [[Paper]](https://arxiv.org/abs/1905.13422)
  - [[Python Reference]](https://github.com/youngjoo-epfl/DSGC)
  
- **Symmetrical Graph Neural Network for Quantum Chemistry, with Dual R/K Space (ArXiV 2019)**
  - Shuqian Ye, Jiechun Liang, Rulin Liu, Xi Zhu
  - [[Paper]](https://arxiv.org/abs/1912.07256)
  - [[Python Reference]](https://github.com/yippp/SY-GNN)
  
- **Graph Classification with Automatic Topologically-Oriented Learning (ArXiV 2019)**
  - Martin Royer, Frédéric Chazal, Clément Levrard, Yuichi Ike, Yuhei Umeda
  - [[Paper]](https://arxiv.org/pdf/1909.13472.pdf)
  - [[Python Reference]](https://github.com/martinroyer/atol)
  - [[Python]](https://github.com/giotto-ai/graph_classification_with_atol)

- **Unsupervised Universal Self-Attention Network for Graph Classification (Arxiv 2019)**
  - Dai Quoc Nguyen, Tu Dinh Nguyen, and Dinh Phun
  - [[Paper]](https://arxiv.org/abs/1909.11855)
  - [[Python Reference]](https://github.com/daiquocnguyen/U2GNN)

- **Crystal Graph Neural Networks for Data Mining in Materials Science (Arxiv 2019)**
  - Takenori Yamamoto
  - [[Paper]](https://storage.googleapis.com/rimcs_cgnn/cgnn_matsci_May_27_2019.pdf)
  - [[Python Reference]](https://github.com/Tony-Y/cgnn)

- **Fast Training of Sparse Graph Neural Networks on Dense Hardware (Arxiv 2019)**
  - Matej Balog, Bart van Merriënboer, Subhodeep Moitra, Yujia Li, Daniel Tarlow
  - [[Paper]](https://arxiv.org/abs/1906.11786)
  - [[Python Reference]](https://github.com/anonymous-authors-iclr2020/fast_training_of_sparse_graph_neural_networks_on_dense_hardware)
  
- **Hierarchical Representation Learning in Graph Neural Networks with Node Decimation Pooling (Arxiv 2019)**
  - Filippo Maria Bianchi, Daniele Grattarola, Lorenzo Livi, Cesare Alippi
  - [[Paper]](https://arxiv.org/abs/1910.11436)
  - [[Python Reference]](https://github.com/danielegrattarola/decimation-pooling)
  
- **Are Powerful Graph Neural Nets Necessary? A Dissection on Graph Classification (Arxiv 2019)**
  - Ting Chen, Song Bian, Yizhou Sun
  - [[Paper]](https://arxiv.org/abs/1905.04579)
  - [[Python Reference]](https://github.com/Waterpine/vis_network)
  
- **K-hop Graph Neural Networks (Arxiv 2019)**
  - Giannis Nikolentzos, George Dasoulas, Michalis Vazirgiannis
  - [[Paper]](https://arxiv.org/abs/1907.06051v1)
  - [[Python Reference]](https://github.com/giannisnik/k-hop-gnns)

- **Learning Aligned-Spatial Graph Convolutional Networks for Graph Classification (ECML-PKDD 2019)**
  - Lu Bai, Yuhang Jiao, Lixin Cui, Edwin R. Hancock
  - [[Paper]](https://arxiv.org/abs/1904.04238)
  - [[Python Reference]](https://github.com/baiuoy/ASGCN_ECML-PKDD2019)
  
- **AttPool: Towards Hierarchical Feature Representation in Graph Convolutional Networks via Attention Mechanism (ICCV 2019)**
  - Jingjia Huang, Zhangheng Li, Nannan Li, Shan Liu, Ge Li
  - [[Paper]](https://openaccess.thecvf.com/content_ICCV_2019/html/Huang_AttPool_Towards_Hierarchical_Feature_Representation_in_Graph_Convolutional_Networks_via_ICCV_2019_paper.html)
  - [[Python Reference]](https://github.com/hjjpku/Attention_in_Graph) 

- **Variational Recurrent Neural Networks for Graph Classification (ICLR RLGM 2019)**
  - Edouard Pineau, Nathan de Lara
  - [[Paper]](https://arxiv.org/abs/1902.02721v4)
  - [[Python Reference]](https://github.com/edouardpineau/Variational-Recurrent-Neural-Networks-for-Graph-Classification)
  
- **edGNN: a Simple and Powerful GNN for Directed Labeled Graphs (ICLR RLGM 2019)**
  - Guillaume Jaume, An-phi Nguyen, María Rodríguez Martínez, Jean-Philippe Thiran, Maria Gabrani
  - [[Paper]](https://arxiv.org/abs/1904.08745v2)
  - [[Python Reference]](https://github.com/guillaumejaume/edGNN)

- **Capsule Graph Neural Network (ICLR 2019)**
  - Zhang Xinyi and Lihui Chen
  - [[Paper]](https://openreview.net/forum?id=Byl8BnRcYm)
  - [[Python Reference]](https://github.com/benedekrozemberczki/CapsGNN)

- **How Powerful are Graph Neural Networks? (ICLR 2019)**
  - Keyulu Xu, Weihua Hu, Jure Leskovec, Stefanie Jegelka
  - [[Paper]](https://arxiv.org/abs/1810.00826)
  - [[Python Reference]](https://github.com/weihua916/powerful-gnns)

- **Graph U-Nets (ICML 2019)**
  - Hongyang Gao, Shuiwang Ji
  - [[Paper]](https://arxiv.org/abs/1905.05178v1f)
  - [[Python Reference]](https://github.com/HongyangGao/Graph-U-Nets)

- **Relational Pooling for Graph Representations (ICML 2019)**
  - Ryan L. Murphy, Balasubramaniam Srinivasan, Vinayak Rao, Bruno Ribeiro
  - [[Paper]](https://arxiv.org/abs/1903.02541)
  - [[Python Reference]](https://github.com/PurdueMINDS/RelationalPooling)
  
- **IPC: A Benchmark Data Set for Learning with Graph-Structured Data (ICML LRGSD 2019)**
  - Patrick Ferber, Tengfei Ma, Siyu Huo, Jie Chen, Michael Katz
  - [[Paper]](https://arxiv.org/abs/1905.06393)
  - [[Python Reference]](https://github.com/IBM/IPC-graph-data)

- **Ego-CNN: Distributed, Egocentric Representations of Graphs for Detecting Critical Structure (ICML 2019)**
  - Ruo-Chun Tzeng, Shan-Hung Wu
  - [[Paper]](http://proceedings.mlr.press/v97/tzeng19a/tzeng19a.pdf)
  - [[Python Reference]](https://github.com/rutzeng/EgoCNN)

- **Self-Attention Graph Pooling (ICML 2019)**
  - Junhyun Lee, Inyeop Lee, Jaewoo Kang
  - [[Paper]](https://arxiv.org/abs/1904.08082)
  - [[Python Reference]](https://github.com/inyeoplee77/SAGPool)

- **Explainability Techniques for Graph Convolutional Networks (ICML 2019 Workshop)**
  - Federico Baldassarre, Hossein Azizpour
  - [[Paper]](https://128.84.21.199/pdf/1905.13686.pdf)
  - [[Python Reference]](https://github.com/gn-exp/gn-exp)
  
- **Unsupervised Inductive Graph-Level Representation Learning via Graph-Graph Proximity (IJCAI 2019)**
  - Yunsheng Bai, Hao Ding, Yang Qiao, Agustin Marinovic, Ken Gu, Ting Chen, Yizhou Sun, Wei Wang
  - [[Paper]](https://arxiv.org/abs/1904.01098v2)
  - [[Python Reference]](https://github.com/yunshengb/UGraphEmb)

- **Molecule Property Prediction Based on Spatial Graph Embedding (Journal of Cheminformatics Models 2019)**
  - Xiaofeng Wang, Zhen Li, Mingjian Jiang, Shuang Wang, Shugang Zhang, Zhiqiang Wei
  - [[Paper]](https://pubs.acs.org/doi/abs/10.1021/acs.jcim.9b00410)
  - [[Python Reference]](https://github.com/1128bian/C-SGEN)

- **Graph Convolutional Networks with EigenPooling (KDD 2019)**
  - Yao Ma, Suhang Wang, Charu C Aggarwal, Jiliang Tang
  - [[Paper]](https://arxiv.org/pdf/1904.13107.pdf)
  - [[Python Reference]](https://github.com/alge24/eigenpooling)
  
- **Distance Metric Learning for Graph Structured Data (KDD 2019)**
  - Tomoki Yoshida, Ichiro Takeuchi, Masayuki Karasuyama
  - [[Paper]](https://arxiv.org/abs/2002.00727v1)
  - [[Python Reference]](https://github.com/birdwatcherYT/Learning-Interpretable-Metric-between-Graphs)

- **Graph Neural Tangent Kernel: Fusing Graph Neural Networks with Graph Kernels (NeurIPS 2019)**
  - Simon S. Du, Kangcheng Hou, Barnabás Póczos, Ruslan Salakhutdinov, Ruosong Wang, Keyulu Xu
  - [[Paper]](https://arxiv.org/abs/1905.13192)
  - [[Python Reference]](https://github.com/KangchengHou/gntk)
  
- **Provably Powerful Graph Networks (NeurIPS 2019)**
  - Haggai Maron, Heli Ben-Hamu, Hadar Serviansky, Yaron Lipman
  - [[Paper]](https://arxiv.org/abs/1905.11136v4)
  - [[Python Reference]](https://github.com/hadarser/ProvablyPowerfulGraphNetworks_torch)

- **Mapping Images to Scene Graphs with Permutation-Invariant Structured Prediction (NeurIPS 2019)**
  - Roei Herzig, Moshiko Raboh, Gal Chechik, Jonathan Berant, Amir Globerson
  - [[Paper]](https://arxiv.org/abs/1802.05451)
  - [[Python Reference]](https://github.com/shikorab/SceneGraph)

- **Semi-Supervised Graph Classification: A Hierarchical Graph Perspective (WWW 2019)**
  - Jia Li, Yu Rong, Hong Cheng, Helen Meng, Wenbing Huang, and Junzhou Huang
  - [[Paper]](https://arxiv.org/pdf/1904.05003.pdf)
  - [[Python Reference]](https://github.com/benedekrozemberczki/SEAL-CI)
  
### 2018

- **An End-to-End Deep Learning Architecture for Graph Classification (AAAI 2018)**
  - Muhan Zhang, Zhicheng Cui, Marion Neumann and Yixin Chen
  - [[Paper]](https://www.cse.wustl.edu/~muhan/papers/AAAI_2018_DGCNN.pdf)
  - [[Python Tensorflow Reference]](https://github.com/muhanzhang/DGCNN)    
  - [[Python Pytorch Reference]](https://github.com/muhanzhang/pytorch_DGCNN)
  - [[MATLAB Reference]](https://github.com/muhanzhang/DGCNN)
  - [[Python Alternative]](https://github.com/leftthomas/DGCNN)
  - [[Python Alternative]](https://github.com/hitlic/DGCNN-tensorflow)
  
- **Three-Dimensionally Embedded Graph Convolutional Network for Molecule Interpretation (Arxiv 2018)**
  - Hyeoncheol Cho and Insung. S. Choi
  - [[Paper]](https://arxiv.org/abs/1811.09794)
  - [[Python Reference]](https://github.com/blackmints/3DGCN)

- **Learning Graph-Level Representations with Recurrent Neural Networks (Arxiv 2018)**
  - Yu Jin and Joseph F. JaJa
  - [[Paper]](https://arxiv.org/pdf/1805.07683v4.pdf)
  - [[Python Reference]](https://github.com/yuj-umd/graphRNN)
  
- **Deeply Learning Molecular Structure-Property Relationships Using Graph Attention Neural Network (ArXiv 2018)**
  - Seongok Ryu, Jaechang Lim, and Woo Youn Kim    
  - [[Paper]](https://arxiv.org/abs/1805.10988)
  - [[Python Reference]](https://github.com/SeongokRyu/Molecular-GAT)

- **Edge Attention-based Multi-Relational Graph Convolutional Networks (ArXiv 2018)**
  - Chao Shang, Qinqing Liu, Ko-Shin Chen, Jiangwen Sun, Jin Lu, Jinfeng Yi and Jinbo Bi  
  - [[Paper]](https://arxiv.org/abs/1802.04944v1)
  - [[Python Reference]](https://github.com/Luckick/EAGCN)

- **Compound-Protein Interaction Prediction with End-to-end Learning of Neural Networks for Graphs and Sequences (Bioinformatics 2018)**
  - Masashi Tsubaki, Kentaro Tomii, and Jun Sese
  - [[Paper]](https://academic.oup.com/bioinformatics/article/35/2/309/5050020)
  - [[Python Reference]](https://github.com/masashitsubaki/CPI_prediction)
  - [[Python Reference]](https://github.com/masashitsubaki/GNN_molecules)
  - [[Python Alternative ]](https://github.com/xnuohz/GCNDTI)
  
- **Machine Learning for Organic Cage Property Prediction (Chemical Matters 2018)**
  - Lukas Turcani, Rebecca Greenway, Kim Jelfs
  - [[Paper]](https://pubs.acs.org/doi/10.1021/acs.chemmater.8b03572)
  - [[Python Reference]](https://github.com/qyuan7/Graph_Convolutional_Network_for_cages)

- **Kernel Graph Convolutional Neural Networks (ICANN 2018)**
  - Giannis Nikolentzos, Polykarpos Meladianos, Antoine Jean-Pierre Tixier, Konstantinos Skianis, Michalis Vazirgiannis
  - [[Paper]](https://arxiv.org/pdf/1710.10689.pdf)
  - [[Python Reference]](https://github.com/giannisnik/cnn-graph-classification)

- **Residual Gated Graph ConvNets (ICLR 2018)**
  - Xavier Bresson and Thomas Laurent
  - [[Paper]](https://arxiv.org/pdf/1711.07553v2.pdf)
  - [[Python Pytorch Reference]](https://github.com/xbresson/spatial_graph_convnets)
  
- **Contextual Graph Markov Model: A Deep and Generative Approach to Graph Processing (ICML 2018)**
  - Davide Bacciu, Federico Errica, and Alessio Micheli
  - [[Paper]](https://arxiv.org/pdf/1805.10636.pdf)
  - [[Python Reference]](https://github.com/diningphil/CGMM)

- **MolGAN: An Implicit Generative Model for Small Molecular Graphs (ICML 2018)**
  - Nicola De Cao and Thomas Kipf
  - [[Paper]](https://arxiv.org/pdf/1805.11973.pdf)
  - [[Python Reference]](https://github.com/nicola-decao/MolGAN)

- **Graph Capsule Convolutional Neural Networks (ICML 2018)**
  - Saurabh Verma and Zhi-Li Zhang
  - [[Paper]](https://arxiv.org/abs/1805.08090)
  - [[Python Reference]](https://github.com/vermaMachineLearning/Graph-Capsule-CNN-Networks)

- **Learning Graph Distances with Message Passing Neural Networks (ICPR 2018)**
  - Pau Riba, Andreas Fischer, Josep Llados, and Alicia Fornes
  - [[Paper]](https://ieeexplore.ieee.org/abstract/document/8545310)
  - [[Python Reference]](https://github.com/priba/siamese_ged)

- **Commonsense Knowledge Aware Conversation Generation with Graph Attention (IJCAI-ECAI 2018)**
  - Hao Zhou, Tom Yang, Minlie Huang, Haizhou Zhao, Jingfang Xu and Xiaoyan Zhu
  - [[Paper]](http://coai.cs.tsinghua.edu.cn/hml/media/files/2018_commonsense_ZhouHao_3_TYVQ7Iq.pdf)
  - [[Python Reference]](https://github.com/tuxchow/ccm)

- **SGR: Self-Supervised Spectral Graph Representation Learning (KDD DLDay 2018)**
  - Anton Tsitsulin, Davide Mottin, Panagiotis Karra, Alex Bronstein and Emmanueal Müller
  - [[Paper]](https://arxiv.org/abs/1807.02839)
  - [[Python Reference]](http://mott.in/publications/others/sgr/)

- **Graph Classification Using Structural Attention (KDD 2018)**
  - John Boaz Lee, Ryan Rossi, and Xiangnan Kong
  - [[Paper]](http://ryanrossi.com/pubs/KDD18-graph-attention-model.pdf)
  - [[Python Pytorch Reference]](https://github.com/benedekrozemberczki/GAM)

- **Graph Convolutional Policy Network for Goal-Directed Molecular Graph Generation (NIPS 2018)**
  - Jiaxuan You, Bowen Liu, Rex Ying, Vijay Pande, and Jure Leskovec
  - [[Paper]](https://arxiv.org/abs/1806.02473)
  - [[Python Reference]](https://github.com/bowenliu16/rl_graph_generation)

- **Hierarchical Graph Representation Learning with Differentiable Pooling (NIPS 2018)**
  - Zhitao Ying, Jiaxuan You, Christopher Morris, Xiang Ren, Will Hamilton and Jure Leskovec
  - [[Paper]](http://papers.nips.cc/paper/7729-hierarchical-graph-representation-learning-with-differentiable-pooling.pdf)
  - [[Python Reference]](https://github.com/rusty1s/pytorch_geometric)
  
- **Fast and Accurate Molecular Property Prediction: Learning Atomic Interactions and Potentials with Neural Networks (The Journal of Physical Chemistry Letters 2018)**
  - Masashi Tsubaki and Teruyasu Mizoguchi
  - [[Paper]](https://pubs.acs.org/doi/10.1021/acs.jpclett.8b01837)
  - [[Python Reference]](https://github.com/masashitsubaki/molecularGNN_3Dstructure)
  
### 2017

- **Semi-Supervised Learning of Hierarchical Representations of Molecules Using Neural Message Passing (ArXiv 2017)**
  - Hai Nguyen, Shin-ichi Maeda, Kenta Oono
  - [[Paper]](https://arxiv.org/pdf/1711.10168.pdf)
  - [[Python Reference]](https://github.com/pfnet-research/hierarchical-molecular-learning)
  
- **Dynamic Edge-Conditioned Filters in Convolutional Neural Networks on Graphs (CVPR 2017)**
  - Martin Simonovsky and Nikos Komodakis
  - [[paper]](https://arxiv.org/pdf/1704.02901v3.pdf)
  - [[Python Reference]](https://github.com/mys007/ecc)
  
- **Graph Classification with 2D Convolutional Neural Networks (ICANN 2019)**
  - Antoine J.-P. Tixier, Giannis Nikolentzos, Polykarpos Meladianos and Michalis Vazirgiannis
  - [[Paper]](https://arxiv.org/abs/1708.02218)
  - [[Python Reference]](https://github.com/Tixierae/graph_2D_CNN)
  
- **Deriving Neural Architectures from Sequence and Graph Kernels (ICML 2017)**
  - Tao Lei, Wengong Jin, Regina Barzilay, and Tommi Jaakkola
  - [[Paper]](https://arxiv.org/abs/1705.09037)
  - [[Python Reference]](https://github.com/taolei87/icml17_knn)

- **CayleyNets: Graph Convolutional Neural Networks with Complex Rational Spectral Filters (IEEE TSP 2017)**
  - Ron Levie, Federico Monti, Xavier Bresson, Michael M. Bronstein
  - [[Paper]](https://arxiv.org/pdf/1705.07664v2.pdf)
  - [[Python Reference]](https://github.com/fmonti/CayleyNet)
  
- **Deep Learning with Topological Signatures (NIPS 2017)**
  - Christoph Hofer, Roland Kwitt, Marc Niethammer, and Andreas Uhl
  - [[paper]](https://arxiv.org/abs/1707.04041)
  - [[Python Reference]](https://github.com/c-hofer/nips2017)

- **Protein Interface Prediction using Graph Convolutional Networks (NIPS 2017)**
  - Alex Fout, Jonathon Byrd, Basir Shariat and Asa Ben-Hur
  - [[Paper]](https://papers.nips.cc/paper/7231-protein-interface-prediction-using-graph-convolutional-networks)
  - [[Python Reference]](https://github.com/fouticus/pipgcn)
  
### 2016

- **Gated Graph Sequence Neural Networks (ICLR 2016)**
  - Yujia Li, Daniel Tarlow, Marc Brockschmidt, Richard Zemel
  - [[Paper]](https://arxiv.org/abs/1511.05493)
  - [[Python TensorFlow]](https://github.com/bdqnghi/ggnn.tensorflow)
  - [[Python PyTorch]](https://github.com/JamesChuanggg/ggnn.pytorch)
  - [[Python Reference]](https://github.com/YunjaeChoi/ggnnmols)
  
- **Learning Convolutional Neural Networks for Graphs (ICML 2016)**
  - Mathias Niepert, Mohamed Ahmed, Konstantin Kutzkov
  - [[Paper]](https://arxiv.org/abs/1605.05273)
  - [[Python Reference]](https://github.com/tvayer/PSCN)

- **Deep Topology Classification: A New Approach For Massive Graph Classification (IEEE Big Data 2016)**
  - Stephen Bonner, John Brennan, Georgios Theodoropoulos, Ibad Kureshi, Andrew Stephen McGough
  - [[Paper]](https://ieeexplore.ieee.org/document/7840988/)
  - [[Python Reference]](https://github.com/sbonner0/DeepTopologyClassification)

- **Convolutional Networks on Graphs for Learning Molecular Fingerprints (NIPS 2015)**
  - David Duvenaud, Dougal Maclaurin, Jorge Aguilera-Iparraguirre, Rafael Gómez-Bombarelli, Timothy Hirzel, Alán Aspuru-Guzik, and Ryan P. Adams
  - [[Paper]](https://papers.nips.cc/paper/5954-convolutional-networks-on-graphs-for-learning-molecular-fingerprints.pdf)
  - [[Python Reference]](https://github.com/fllinares/neural_fingerprints_tf)
  - [[Python Reference]](https://github.com/jacklin18/neural-fingerprint-in-GNN)
  - [[Python Reference]](https://github.com/HIPS/neural-fingerprint)
  - [[Python Reference]](https://github.com/debbiemarkslab/neural-fingerprint-theano)
