## Graph Kernels

### 2019

- **Distribution of Node Embeddings as Multiresolution Features for Graphs (ICDM 2019)**
  - Mark Heimann, Tara Safavi, and Danai Koutra
  - [[Paper]](https://gemslab.github.io/papers/heimann-2019-RGM.pdf)
  - [[Code]](https://github.com/GemsLab/RGM)

- **Optimal Transport for Structured Data with Application on Graphs (ICML 2019)**
  - Vayer Titouan, Nicolas Courty, Romain Tavenard, Chapel Laetitia, Rémi Flamary
  - [[Paper]](http://proceedings.mlr.press/v97/titouan19a.html)
  - [[Python Reference]](https://github.com/PythonOT/POT)
  
- **A Persistent Weisfeiler–Lehman Procedure for Graph Classification (ICML 2019)**
  - Sebastian Rieck, Christian Bock, and Karsten Borgwardt
  - [[Paper]](http://proceedings.mlr.press/v97/rieck19a/rieck19a.pdf)
  - [[Python Reference]](https://github.com/BorgwardtLab/P-WL)
  
- **Wasserstein Weisfeiler-Lehman Graph Kernels (NIPS 2019)**
  - Matteo Togninalli, Elisabetta Ghisu, Felipe Llinares-López, Bastian Rieck, and Karsten Borgwardt
  - [[Paper]](http://papers.nips.cc/paper/8872-wasserstein-weisfeiler-lehman-graph-kernels)
  - [[Code]](https://github.com/BorgwardtLab/WWL)
  
- **Learning Metrics for Persistence-Based Summaries and Applications for Graph Classification (NIPS 2019)**
  - Qi Zhao, Yusu Wang
  - [[Paper]](https://arxiv.org/abs/1904.12189)
  - [[Code]](https://github.com/topology474/WKPI)
  
- **Propagation Kernels: Efficient Graph Kernels from Propagated Information (Machine Learning 2019)**
  - Marion Neumann, Roman Garnett, Christian Bauckhage, Kristian Kersting
  - [[Paper]](https://link.springer.com/article/10.1007/s10994-015-5517-9)
  - [[Matlab Reference]](https://github.com/marionmari/propagation_kernels)
  
- **DDGK: Learning Graph Representations for Deep Divergence Graph Kernels (WWW 2019)**
  -  Rami Al-Rfou, Dustin Zelle, Bryan Perozzi
  - [[Paper]](https://arxiv.org/abs/1904.09671v1)
  - [[Code]](https://github.com/google-research/google-research/tree/master/graph_embedding/ddgk)
  
### 2018

- **Message Passing Graph Kernels (2018)**
  - Giannis Nikolentzos, Michalis Vazirgiannis
  - [[Paper]](https://arxiv.org/pdf/1808.02510.pdf)
  - [[Python Reference]](https://github.com/giannisnik/message_passing_graph_kernels)
  
### 2017

- **Matching Node Embeddings for Graph Similarity (AAAI 2017)**
  - Giannis Nikolentzos, Polykarpos Meladianos, and Michalis Vazirgiannis
  - [[Paper]](https://aaai.org/ocs/index.php/AAAI/AAAI17/paper/view/14494)

- **Global Weisfeiler-Lehman Graph Kernels (ICDM 2017)**
  - Christopher Morris, Kristian Kersting and Petra Mutzel
  - [[Paper]](https://arxiv.org/pdf/1703.02379.pdf)
  - [[C++ Reference]](https://github.com/chrsmrrs/glocalwl)
  
- **Kernel Method for Persistence Diagrams via Kernel Embedding and Weight Factor (JMLR 2017)**
  - Genki Kusano, Kenji  Fukumizu, Yasuaki  Hiraoka
  - [[Paper]](https://dl.acm.org/doi/abs/10.5555/3122009.3242046)
  - [[Python Reference]](https://github.com/genki-kusano/python-pwgk)

- **On Valid Optimal Assignment Kernels and Applications to Graph Classification (NIPS 2016)**
  - Nils Kriege, Pierre-Louis Giscard, Richard Wilson
  - [[Paper]](https://arxiv.org/pdf/1606.01141.pdf)
  - [[Java Reference]](https://github.com/nlskrg/optimal_assignment_kernels)

### 2016

- **Faster Kernels for Graphs with Continuous Attributes (ICDM 2016)**
  - Christopher Morris, Nils M. Kriege, Kristian Kersting and Petra Mutzel
  - [[Paper]](https://arxiv.org/abs/1610.00064)
  - [[Python Reference]](https://github.com/chrsmrrs/hashgraphkernel)

- **Propagation Kernels: Efficient Graph Kernels From Propagated Information (Machine Learning 2016)**
  - Neumann, Marion and Garnett, Roman and Bauckhage, Christian and Kersting, Kristian
  - [[Paper]](https://link.springer.com/article/10.1007/s10994-015-5517-9)
  - [[Matlab Reference]](https://github.com/marionmari/propagation_kernels)

- **Efficient Comparison of Massive Graphs Through The Use Of ‘Graph Fingerprints’ (MLGWorkshop 2016)**
  - Stephen Bonner, John Brennan, and A. Stephen McGough
  - [[Paper]](http://dro.dur.ac.uk/19773/1/19773.pdf?DDD10+lzdh59+d700tmt)    
  - [[python Reference]](https://github.com/sbonner0/GraphFingerprintComparison)

- **The Multiscale Laplacian Graph Kernel (NIPS 2016)**
  - Risi Kondor and Horace Pan
  - [[Paper]](https://arxiv.org/abs/1603.06186)
  - [[C++ Reference]](https://github.com/horacepan/MLGkernel)

### 2015

- **An Aligned Subtree Kernel for Weighted Graphs (ICML 2015)**
  - Lu Bai, Luca Rossi, Zhihong Zhang, Edwin R. Hancock
  - [[Paper]](http://proceedings.mlr.press/v37/bai15.pdf)
  
- **A Graph Kernel Based on the Jensen-Shannon Representation Alignment (IJCAI 2015)**
  - Lu Bai, Zhihong Zhang, Chaoyan Wang, Xiao Bai, Edwin R. Hancock
  - [[Paper]](http://ijcai.org/Proceedings/15/Papers/468.pdf)
  - [[Matlab reference]](https://github.com/baiuoy/Matlab-code-JS-alignment-kernel-IJCAI-2015)

- **Halting Random Walk Kernels (NIPS 2015)**
  - Mahito Sugiyama and Karsten M. Borgward
  - [[Paper]](https://pdfs.semanticscholar.org/79ba/8bcfbf9496834fdc22a1f7c96d26d776cd6c.pdf)
  - [[C++ Reference]](https://github.com/BorgwardtLab/graph-kernels)

### 2013

- **Scalable Kernels for Graphs with Continuous Attributes (NIPS 2013)**
  - Aasa Feragen, Niklas Kasenburg, Jens Petersen, Marleen de Bruijne and Karsten Borgwardt
  - [[Paper]](https://papers.nips.cc/paper/5155-scalable-kernels-for-graphs-with-continuous-attributes.pdf)

### 2012

- **Nested Subtree Hash Kernels for Large-Scale Graph Classification over Streams (ICDM 2012)**
  - Bin Li, Xingquan Zhu, Lianhua Chi, Chengqi Zhang
  - [[Paper]](https://ieeexplore.ieee.org/document/6413884/)
  - [[Python Reference]](https://github.com/benedekrozemberczki/NestedSubtreeHash) 

- **Subgraph Matching Kernels for Attributed Graphs (ICML 2012)**
  - Nils Kriege and Petra Mutzel
  - [[Paper]](https://arxiv.org/abs/1206.6483)
  - [[Python Reference]](https://github.com/mockingbird2/GraphKernelBenchmark)   

- **Two New Graphs Kernels in Chemoinformatics (Pattern Recognition Letters 2012)**
  - Benoit Gaüzère, LucBrun, and Didier Villemin
  - [[Paper]](https://www.sciencedirect.com/science/article/abs/pii/S016786551200102X)
  - [[Python Reference]](https://github.com/jajupmochi/py-graph)
  
### 2011

- **Weisfeiler-Lehman Graph Kernels (JMLR 2011)**
  - Nino Shervashidze, Pascal Schweitzer, Erik Jan van Leeuwen, Kurt Mehlhorn, and Karsten M. Borgwardt
  - [[Paper]](http://www.jmlr.org/papers/volume12/shervashidze11a/shervashidze11a.pdf)
  - [[Python Reference]](https://github.com/jajupmochi/py-graph)
  - [[Python Reference]](https://github.com/deeplego/wl-graph-kernels)
  - [[C++ Reference]](https://github.com/BorgwardtLab/graph-kernels)  

### 2010

- **Fast Neighborhood Subgraph Pairwise Distance Kernel (ICML 2010)**
  - Fabrizio Costa and Kurt De Grave
  - [[Paper]](https://icml.cc/Conferences/2010/papers/347.pdf)
  - [[C++ Reference]](www.bioinf.uni-freiburg.de/~costa/EDeNcpp.tgz)
  - [[Python Reference]](https://github.com/fabriziocosta/EDeN)
  
- **Graph Kernels (JMLR 2010)**
  - S.V.N. Vishwanathan, Nicol N. Schraudolph, Risi Kondor, Karsten M. Borgwardt;
  - [[Paper]](http://www.jmlr.org/papers/volume11/vishwanathan10a/vishwanathan10a.pdf)
  - [[Python Reference]](https://github.com/jajupmochi/py-graph)
  
### 2009

- **A Linear-time Graph Kernel (ICDM 2009)**
  - Shohei Hido and Hisashi Kashima
  - [[Paper]](https://ieeexplore.ieee.org/stamp/stamp.jsp?arnumber=5360243)  
  - [[Python Reference]](https://github.com/hgascon/adagio)

- **Weisfeiler-Lehman Subtree Kernels (NIPS 2009)**
  - Nino Shervashidze, Pascal Schweitzer, Erik Jan van Leeuwen, Kurt Mehlhorn, and Karsten M. Borgwardt
  - [[Paper]](http://papers.nips.cc/paper/3813-fast-subtree-kernels-on-graphs.pdf)
  - [[Python Reference]](https://github.com/jajupmochi/py-graph)
  - [[Python Reference]](https://github.com/deeplego/wl-graph-kernels)
  - [[C++ Reference]](https://github.com/BorgwardtLab/graph-kernels)
  
### 2007
  
- **Kernel on Bag of Paths For Measuring Similarity of Shapes (ESANN 2007)**
  - Frederic Suard, Alain Rakotomamonjy, and Abdelaziz Bensrhair
  - [[Paper]](https://pdfs.semanticscholar.org/149a/858889e8c3a54ee55b21511a7f56f5e9650b.pdf)
  - [[Python Reference]](https://github.com/jajupmochi/py-graph)
  
### 2005

- **Fast Computation of Graph Kernels (NIPS 2006)**
  - S. V. N. Vishwanathan, Karsten M. Borgwardt, and Nicol N. Schraudolph
  - [[Paper]](http://www.dbs.ifi.lmu.de/Publikationen/Papers/VisBorSch06.pdf)
  - [[Python Reference]](https://github.com/jajupmochi/py-graph)
  - [[C++ Reference]](https://github.com/BorgwardtLab/graph-kernels)

### 2005

- **Shortest-Path Kernels on Graphs (ICDM 2005)**
  - Karsten M. Borgwardt and Hans-Peter Kriegel
  - [[Paper]](https://www.ethz.ch/content/dam/ethz/special-interest/bsse/borgwardt-lab/documents/papers/BorKri05.pdf)
  - [[C++ Reference]](https://github.com/KitwareMedical/ITKTubeTK)
  
- **Graph Kernels for Chemical Informatics (Neural Networks 2005)**
  - Liva Ralaivola, Sanjay J Swamidass, Hiroto Saigo, and Pierre Baldi
  - [[Paper]](https://www.sciencedirect.com/science/article/pii/S0893608005001693)
  - [[Python Reference]](https://github.com/jajupmochi/py-graph)

### 2004

- **Cyclic Pattern Kernels For Predictive Graph Mining (KDD 2004)**
  - Tamás Horváth, Thomas Gärtner, and Stefan Wrobel
  - [[Paper]](http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.332.6158&rep=rep1&type=pdf)
  - [[Python Reference]](https://github.com/jajupmochi/py-graph)
  
- **Extensions of Marginalized Graph Kernels (ICML 2004)**
  - Pierre Mahe , Nobuhisa Ueda , Tatsuya Akutsu , Jean-Luc Perret , Jean-Philippe Vert
  - [[Paper]](http://members.cbio.mines-paristech.fr/~jvert/publi/04icml/icmlMod.pdf)
  - [[Python Reference]](https://github.com/jajupmochi/py-graph)

### 2003

- **Marginalized Kernels Between Labeled Graphs (ICML 2003)**
  - Hisashi Kashima, Koji Tsuda, and Akihiro Inokuchi
  - [[Paper]](https://pdfs.semanticscholar.org/2dfd/92c808487049ab4c9b45db77e9055b9da5a2.pdf)
  - [[Python Reference]](https://github.com/jajupmochi/py-graph)
  
- **On Graph Kernels: Hardness Results and Efficient Alternatives (Learning Theory and Kernel Machines 2003)**
  - Thomas Gärtner, Peter Flach, and Stefan Wrobel
  - [[Paper]](http://citeseerx.ist.psu.edu/viewdoc/download?doi=10.1.1.152.8681&rep=rep1&type=pdf)
  - [[Python Reference]](https://github.com/jajupmochi/py-graph)
