## Matrix Factorization

### 2020

- **Learning Distributed Representations of Graphs with Geo2DR (ICML GRL 2020)**
  - Paul Scherer and Pietro Lio
  - [[Paper]](https://arxiv.org/abs/2003.05926v3)
  - [[Python Reference]](https://github.com/paulmorio/geo2dr)
  
### 2019

- **GL2vec: Graph Embedding Enriched by Line Graphs with Edge Features (ICONIP 2019)**
  - Hong Chen, Hisashi Koga
  - [[Paper]](https://link.springer.com/chapter/10.1007/978-3-030-36718-3_1)
  - [[Python Karate Club]](https://github.com/benedekrozemberczki/karateclub/)
  
### 2018

- **Anonymous Walk Embeddings (ICML 2018)**
  - Sergey Ivanov and Evgeny Burnaev
  - [[Paper]](https://arxiv.org/pdf/1805.11921.pdf)
  - [[Python Reference]](https://github.com/nd7141/AWE)
  
- **Hierarchical Stochastic Graphlet Embedding for Graph-based Pattern Recognition (Pattern Recognition 2018)**
  - Anjan Dutta, Pau Riba, Josep Lladós, Alicia Fornés
  - [[Paper]](https://arxiv.org/abs/1807.02839)
  - [[Matlab Reference]](https://github.com/priba/hierarchicalSGE)
  
- **Learning Graph Representation via Frequent Subgraphs (SDM 2018)**
  - Dang Nguyen, Wei Luo, Tu Dinh Nguyen, Svetha Venkatesh, Dinh Phung
  - [[Paper]](https://epubs.siam.org/doi/10.1137/1.9781611975321.35)
  - [[Python Reference]](https://github.com/nphdang/GE-FSG)
  
### 2017

- **Graph2vec (MLGWorkshop 2017)**
  - Annamalai Narayanan, Mahinthan Chandramohan, Lihui Chen, Yang Liu, and Santhoshkumar Saminathan
  - [[Paper]](https://arxiv.org/abs/1707.05005)
  - [[Python Karate Club]](https://github.com/benedekrozemberczki/karateclub/)
  - [[Python High Performance]](https://github.com/benedekrozemberczki/graph2vec)
  - [[Python Reference]](https://github.com/MLDroid/graph2vec_tf)
  
### 2016

- **Rdf2Vec: RDF Graph Embeddings for Data Mining (ISWC 2016)**
  - Petar Ristoski and Heiko Paulheim
  - [[Paper]](https://link.springer.com/chapter/10.1007/978-3-319-46523-4_30)
  - [[Python Reference]](https://github.com/airobert/RDF2VecAtWebScale)

- **Subgraph2Vec (MLGWorkshop 2016)**
  - Annamalai Narayanan, Mahinthan Chandramohan, Lihui Chen, Yang Liu, and Santhoshkumar Saminathan
  - [[Paper]](https://arxiv.org/abs/1606.08928)
  - [[Python High Performance]](https://github.com/MLDroid/subgraph2vec_gensim)
  - [[Python Reference]](https://github.com/MLDroid/subgraph2vec_tf)
  
### 2015

- **Deep Graph Kernels (KDD 2015)**
  - Pinar Yanardag and S.V.N. Vishwanathan
  - [[Paper]](https://dl.acm.org/citation.cfm?id=2783417)
  - [[Python Reference]](https://github.com/pankajk/Deep-Graph-Kernels)
